#ifndef PL_UDP_ETH_H /* prevent circular inclusions */
#define PL_UDP_ETH_H /* by using protection macros */

#define MAX_MSG_LENGTH  2048

uint32_t pl_udp_init();
uint32_t pl_udp_getMsg(unsigned char *msg, int *length);
uint32_t pl_udp_sendMsg(unsigned char *msg, int length);
void pl_udp_task( void *pvParameters );

#endif /* end of protection macro */
